%define upstream_name    Spork-Shlomify
%define upstream_version 0.0400

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Spork with some improvements
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Spork/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Spoon)
BuildRequires: perl(Spork)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A derivative of Ingy's Spork (a presentation slides generator) with some
improvements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/shspork


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-6.mga10
+ Revision: 2210778
- Mageia 10 Mass Rebuild

* Thu Mar 24 2022 umeabot <umeabot> 0.40.0-5.mga9
+ Revision: 1824200
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.40.0-4.mga8
+ Revision: 1523087
- Mageia 8 Mass Rebuild

* Mon Feb 18 2019 shlomif <shlomif> 0.40.0-3.mga7
+ Revision: 1368226
- remove stray "no desc found" line

* Mon Feb 18 2019 shlomif <shlomif> 0.40.0-2.mga7
+ Revision: 1368207
- Fix the description.

* Mon Feb 18 2019 shlomif <shlomif> 0.40.0-1.mga7
+ Revision: 1368171
- New version 0.04

* Wed Sep 19 2018 umeabot <umeabot> 0.20.300-3.mga7
+ Revision: 1271210
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.300-2.mga6
+ Revision: 1033319
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.20.300-1.mga6
+ Revision: 923920
- update to 0.0203

* Sat Jun 27 2015 shlomif <shlomif> 0.20.200-1.mga6
+ Revision: 846416
- update to 0.0202
- imported package perl-Spork-Shlomify


* Fri Nov 18 2011 cpan2dist 0.0200-1mga
- initial mageia release, generated with cpan2dist
